GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Types | Public Member Functions | Public Attributes
graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType > Struct Template Reference
Inheritance diagram for graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >:

List of all members.

## Public Types
typedef bool | VertexDataType
typedef GraphLabVertexProgram::vertex_data_type | GLVertexDataType
typedef GraphLabVertexProgram::edge_data_type | EdgeDataType
typedef GraphLabVertexProgram::edge_type | edge_type
typedef GraphLabVertexProgram::gather_type | gather_type
typedef GraphLabVertexProgram::graph_type | graph_type
typedef GraphLabVertexProgram::message_type | message_type
Public Types inherited from graphchi::GraphChiProgram< bool, GraphLabVertexProgram::edge_data_type >

## Public Member Functions
| GraphLabEdgeAggregatorWrapper (EdgeMapType map_function, FinalizerType finalize_function, std::vector< typename GraphLabVertexProgram::vertex_data_type > *vertices)
virtual void | before_iteration (int iteration, graphchi_context &gcontext)
virtual void | after_iteration (int iteration, graphchi_context &gcontext)
virtual void | before_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)
virtual void | after_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)
void | update (graphchi_vertex< bool, EdgeDataType > &vertex, graphchi_context &gcontext)

## Public Attributes
mutex | m
std::vector< ReductionType > | localaggr
ReductionType | aggr
std::vector< GLVertexDataType > * | vertexInmemoryArray
EdgeMapType | map_function
FinalizerType | finalize_function

## Member Function Documentation

template<typename GraphLabVertexProgram , typename ReductionType , typename EdgeMapType , typename FinalizerType >

virtual void graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >::after_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an execution interval has finished.

Reimplemented from graphchi::GraphChiProgram< bool, GraphLabVertexProgram::edge_data_type >.

template<typename GraphLabVertexProgram , typename ReductionType , typename EdgeMapType , typename FinalizerType >

virtual void graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >::after_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an iteration has finished.

Reimplemented from graphchi::GraphChiProgram< bool, GraphLabVertexProgram::edge_data_type >.

template<typename GraphLabVertexProgram , typename ReductionType , typename EdgeMapType , typename FinalizerType >

virtual void graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >::before_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an execution interval is started.

Reimplemented from graphchi::GraphChiProgram< bool, GraphLabVertexProgram::edge_data_type >.

template<typename GraphLabVertexProgram , typename ReductionType , typename EdgeMapType , typename FinalizerType >

virtual void graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >::before_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an iteration starts.

Reimplemented from graphchi::GraphChiProgram< bool, GraphLabVertexProgram::edge_data_type >.

template<typename GraphLabVertexProgram , typename ReductionType , typename EdgeMapType , typename FinalizerType >

void graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >::update | ( | graphchi_vertex< bool, EdgeDataType > & | vertex,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Update function.

Implements graphchi::GraphChiProgram< bool, GraphLabVertexProgram::edge_data_type >.

The documentation for this struct was generated from the following file:

- src/api/graphlab2_1_GAS_api/graphchi_graphlabv2_1.hpp